=== util/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/games
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/gnomehack
pkglibdir = $(libdir)/gnomehack
pkgincludedir = $(includedir)/gnomehack

top_builddir = ..

ACLOCAL = aclocal -I macros
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CAT = /bin/cat
CC = gcc
CHGRP = /bin/chgrp
CHMOD = /bin/chmod
CHOWN = /bin/chown
COL = /usr/bin/col
COMPRESS = /usr/bin/bzip2
COMPRESS_SPEC = Requires: bzip2
CP = /bin/cp
CPP = gcc -E
CTAGS = /usr/bin/ctags
DESKTOP_DIR = /usr/share/gnome/apps/Games
DIFF = /usr/bin/diff
DITROFF = 
DOC_DIR = /usr/share/doc/gnomehack
ECHO = /bin/echo
ED = /bin/ed
EGREP = /bin/egrep
GNOMEGNORBA_LIBS = -rdynamic -lgnorba -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
GNOMEUI_LIBS = -rdynamic -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
GNOME_APPLETS_LIBS = 
GNOME_CAPPLET_LIBS = 
GNOME_CONFIG = /usr/bin/gnome-config
GNOME_INCLUDEDIR = -I/usr/include -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/lib/glib/include -I/usr/X11R6/include
GNOME_LIBDIR = -rdynamic -L/usr/lib -L/usr/X11R6/lib
GNOME_LIBS = -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
GNORBA_CFLAGS = -I/usr/include -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/lib/glib/include -I/usr/X11R6/include
GNORBA_LIBS = -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgnorba -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
GREP = /bin/grep
GTKXMHTML_LIBS = -rdynamic -lgtkxmhtml -lXpm -ljpeg -lpng -lz -lSM -lICE -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
GTK_CFLAGS = -I/usr/lib/glib/include -I/usr/X11R6/include
GTK_CONFIG = /usr/bin/gtk-config
GTK_LIBS = -lSM -lICE -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
HACKLIBDIR = /usr/lib/games/gnomehack
LATEX = /usr/bin/latex
LEX = flex
LIBS = 
LINT = /usr/bin/lint
LN_S = ln -s
MAKEINFO = makeinfo
MKDIR = /bin/mkdir
MV = /bin/mv
NH_EXTRALIBS = -L../win/tty -lwintty -L../win/X11 -lwinX11 -L../win/gnome -lwingnome
NH_GNOME_DEPS = ../win/gnome/libwingnome.a
NH_GNOME_LIBS = -rdynamic -L/usr/lib -L/usr/X11R6/lib -lSM -lICE -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl -rdynamic -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
NH_TILE2X11 = tile2x11
NH_TILE_C = tile.c
NH_TILE_O = tile.o
NH_TTY_DEPS = 
NH_TTY_LIBS = -lncurses
NH_WIN_SUBDIRS = tty X11 gnome
NH_X11_DEPS = 
NH_X11_LIBS =  -lSM -lICE  -L/usr/X11R6/lib -lX11   -lXpm
NROFF = /usr/bin/nroff
ORBIT_CFLAGS = -I/usr/lib/glib/include -I/usr/include
ORBIT_CONFIG = /usr/bin/orbit-config
ORBIT_IDL = /usr/bin/orbit-idl
ORBIT_LIBS = -L/usr/lib -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lglib -lm
PACKAGE = gnomehack
PSDIT = 
PTHREAD_LIB = -lpthread
RANDOBJ = 
RANLIB = /usr/bin/ranlib
RM = /bin/rm
SAVE_DIR = /var/lib/games/gnomehack
SED = /bin/sed
SH = /bin/sh
TBL = /usr/bin/tbl
TOUCH = /usr/bin/touch
U = 
VERSION = 1.0.5
XPM_LIBS = -lXpm
XPM_LIST = x11tiles pet_mark.xbm rip.xpm
YACC = bison -y -d
ZVT_LIBS = -rdynamic -lzvt -lutil -lSM -lICE -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm

bin_PROGRAMS = dgn_comp_gnomehack lev_comp_gnomehack recover_gnomehack

INCLUDES = -DHACKDIR=\"/usr/lib/games/gnomehack\"

noinst_PROGRAMS = tilemap dlb tile2x11

EXTRA_PROGRAMS = tile2x11
EXTRA_DIST = dgn_comp.h lev_comp.h

tile2x11_SOURCES = tile2x11.c tiletext.c tiletxt.c
tile2x11_LDADD = ../lib/libnh.a ../libnhobj/libnhobj.a

dgn_comp_gnomehack_SOURCES = dgn_comp.y dgn_lex.l dgn_main.c
dgn_comp_gnomehack_LDADD = ../lib/libnh.a

lev_comp_gnomehack_SOURCES = lev_comp.y lev_lex.l lev_main.c
lev_comp_gnomehack_LDADD = ../lib/libnh.a ../libnhobj/libnhobj.a

dlb_SOURCES = dlb_main.c
dlb_LDADD = ../lib/libnh.a

recover_gnomehack_SOURCES = recover.c
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../include/config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS) $(noinst_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I../include
CPPFLAGS =  -I/usr/lib/glib/include -I/usr/X11R6/include
LDFLAGS = 
X_CFLAGS =  -I/usr/X11R6/include
X_LIBS =  -L/usr/X11R6/lib -lX11
X_EXTRA_LIBS = 
X_PRE_LIBS =  -lSM -lICE
tile2x11_OBJECTS =  tile2x11.o tiletext.o tiletxt.o
tile2x11_DEPENDENCIES =  ../lib/libnh.a ../libnhobj/libnhobj.a
tile2x11_LDFLAGS = 
dgn_comp_gnomehack_OBJECTS =  dgn_comp.o dgn_lex.o dgn_main.o
dgn_comp_gnomehack_DEPENDENCIES =  ../lib/libnh.a
dgn_comp_gnomehack_LDFLAGS = 
lev_comp_gnomehack_OBJECTS =  lev_comp.o lev_lex.o lev_main.o
lev_comp_gnomehack_DEPENDENCIES =  ../lib/libnh.a ../libnhobj/libnhobj.a
lev_comp_gnomehack_LDFLAGS = 
recover_gnomehack_OBJECTS =  recover.o
recover_gnomehack_LDADD = $(LDADD)
recover_gnomehack_DEPENDENCIES = 
recover_gnomehack_LDFLAGS = 
tilemap_SOURCES = tilemap.c
tilemap_OBJECTS =  tilemap.o
tilemap_LDADD = $(LDADD)
tilemap_DEPENDENCIES = 
tilemap_LDFLAGS = 
dlb_OBJECTS =  dlb_main.o
dlb_DEPENDENCIES =  ../lib/libnh.a
dlb_LDFLAGS = 
LEX_OUTPUT_ROOT = lex.yy
LEXLIB = -lfl
YLWRAP = $(srcdir)/ylwrap
CFLAGS = -g -O2
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in dgn_comp.c dgn_lex.c lev_comp.c \
lev_lex.c ylwrap


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(tile2x11_SOURCES) $(dgn_comp_gnomehack_SOURCES) $(lev_comp_gnomehack_SOURCES) $(recover_gnomehack_SOURCES) tilemap.c $(dlb_SOURCES)
OBJECTS = $(tile2x11_OBJECTS) $(dgn_comp_gnomehack_OBJECTS) $(lev_comp_gnomehack_OBJECTS) $(recover_gnomehack_OBJECTS) tilemap.o $(dlb_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .l .o .s .y
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps util/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

tile2x11: $(tile2x11_OBJECTS) $(tile2x11_DEPENDENCIES)
	@rm -f tile2x11
	$(LINK) $(tile2x11_LDFLAGS) $(tile2x11_OBJECTS) $(tile2x11_LDADD) $(LIBS)

dgn_comp_gnomehack: $(dgn_comp_gnomehack_OBJECTS) $(dgn_comp_gnomehack_DEPENDENCIES)
	@rm -f dgn_comp_gnomehack
	$(LINK) $(dgn_comp_gnomehack_LDFLAGS) $(dgn_comp_gnomehack_OBJECTS) $(dgn_comp_gnomehack_LDADD) $(LIBS)

lev_comp_gnomehack: $(lev_comp_gnomehack_OBJECTS) $(lev_comp_gnomehack_DEPENDENCIES)
	@rm -f lev_comp_gnomehack
	$(LINK) $(lev_comp_gnomehack_LDFLAGS) $(lev_comp_gnomehack_OBJECTS) $(lev_comp_gnomehack_LDADD) $(LIBS)

recover_gnomehack: $(recover_gnomehack_OBJECTS) $(recover_gnomehack_DEPENDENCIES)
	@rm -f recover_gnomehack
	$(LINK) $(recover_gnomehack_LDFLAGS) $(recover_gnomehack_OBJECTS) $(recover_gnomehack_LDADD) $(LIBS)

tilemap: $(tilemap_OBJECTS) $(tilemap_DEPENDENCIES)
	@rm -f tilemap
	$(LINK) $(tilemap_LDFLAGS) $(tilemap_OBJECTS) $(tilemap_LDADD) $(LIBS)

dlb: $(dlb_OBJECTS) $(dlb_DEPENDENCIES)
	@rm -f dlb
	$(LINK) $(dlb_LDFLAGS) $(dlb_OBJECTS) $(dlb_LDADD) $(LIBS)
.l.c:
	$(SHELL) $(YLWRAP) "$(LEX)" $< $(LEX_OUTPUT_ROOT).c $@ -- $(AM_LFLAGS) $(LFLAGS)
.y.c:
	$(SHELL) $(YLWRAP) "$(YACC)" $< y.tab.c $*.c y.tab.h $*.h -- $(AM_YFLAGS) $(YFLAGS)
dgn_comp.h: dgn_comp.c
lev_comp.h: lev_comp.c


tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = util

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-binPROGRAMS
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir)


mostlyclean-generic:
