=== debian/changelog ===
gnomehack (1.0.5-1.1) frozen unstable; urgency=medium

  * Non-maintainer upload to fix RC bug.
  * Use dh_suidregister to create proper post{inst,rm} code (Closes: #53356).
  * Added #DEBHELPER# token to preinst - thanks lintian.
  * Changed postinst shell to bash as it contains {} bashism.

 -- Yann Dirson <dirson@debian.org>  Mon, 24 Apr 2000 23:50:24 +0200

gnomehack (1.0.5-1) unstable; urgency=low

  * Synced up to Nethack 3.2.3 (includes Y2k Fixes)
  * Gnomehack is now themeable.  I have included two tile sets, the traditional
    one, and a new one borrowed form jnethack.
  * fixed it so it won't spew endless errors if not run setgid games. (closes: #49269)
  * Added dependancy on suidregister (closes: #50964)
  * Fixed the man page namespace conflict with nethack. (closes: #52749)
  * Runs suidunregister now in postrm. (closes: #49972)
  * (closes: #50892)
  * Certain windows wouldn't close when they were supposed to. (closes: #51835)

 -- Erik Andersen <andersee@debian.org>  Fri, 17 Dec 1999 00:13:29 -0700

gnomehack (1.0.4-3) unstable; urgency=low

  * Fixed recover so it now works properly.
  * Removed the unused /usr/X11R6/lib/X11/fonts/misc/nh10.pcf
    to remove the last conflict with the debian nethack package.

 -- Erik Andersen <andersee@debian.org>  Tue,  2 Nov 1999 21:07:22 -0700

gnomehack (1.0.4-2) unstable; urgency=low

  * Oops.  I stupidly forgot to remove the line stating a conflict 
    with nethack, even though I had removed the conflict. Sorry
    about that -- it seems I have no brain.  (closes: #48903)
  * Removed the supurfluous gnome nethack.desktop file 

 -- Erik Andersen <andersee@debian.org>  Mon,  1 Nov 1999 21:52:52 -0700

gnomehack (1.0.4-1) unstable; urgency=low

  * Seems I never got around to fixing up silly bugs in the debian
    package that I fixed in CVS ages ago.  Oops.  Time to cut a bug
    fixing release.  You shouldn't see double windows poping up any
    more...
  * Recompiled to update libbz2 dependency (closes: #47598)
  * Choke on compile if tetex not installed (closes: #47619)
  * Removed gratuitous conflict with the nethack (closes: #43764)
  * Warn folks when making a .gnomehackrc file, and if present, use
    the NETHACKOPTIONS env. variable. (closes: #42540)
  * (closes: #37550)
  * Thanks to Adam Heath <doogie@debian.org> for his help.

 -- Erik Andersen <andersee@debian.org>  Tue, 26 Oct 1999 21:29:13 -0600

gnomehack (1.0.3-1) unstable; urgency=low

  * New upstream version (i.e. I'm cutting a new release today :)
  * Adds dependency on bzip2 (closes: #38258)
  * Fixes location of init script (closes: #39183)
  * All confiles are actually marked as conffiles now
  * If a ~/.nethackrc file is installed, it is used instead of /etc/nethackrc
  * Lots more usability improvements.
    * Fixed a bunch of different crashes
    * better accelerator handling, and more of it
    * keyboard accelerators shown in menu bar entries
    * fixed a save game bug
    * general code cleanups, etc.
    * other stuff I can't remember :) -- a bunch of changes...

 -- Erik Andersen <andersee@debian.org>  Fri, 23 Jul 1999 21:54:27 -0600

gnomehack (1.0.2-1) unstable; urgency=low

  * New upstream version (i.e. I'm cutting a new release today :)
  * Many usability improvements.
     * Finally(!) got the strange seg-fault fixed -- many, many thanks
       to Tony Taylor <tonyt@ptialaska.net>.  (Tony, you rock!)
     * No more gtk/gnome errors when the game ends.
     * The top-10 scores now show up when the game ends.
     * The RIP window when the game ends is much nicer now.
     * When stats increase, the show in green for a few turns.  When
     * they decrease hey show in red.
     * Added in a "pet mark" (a heart) to help you distinguish your
       pets from other monsters.
     * Reworked the map window code so that zooming in and out is now
       really fast (and doesn't use malloc any more).
     * Updated some key handling to be more correct.
     * Dialogs now default to "Ok" instead of "Cancel" when appropriate.
     * Added key handling to dialog boxes (like Yes/No).
     * Worked around a bug in gnome_dialog_set_parent.
     * Menu dialogs (like inventory) have much better formatting. 
     * Fixed a long standing off-by-1/2 bug in the map window code.

 -- Erik Andersen <andersee@debian.org>  Tue,  4 May 1999 10:39:20 -0600

gnomehack (1.0.1-2) unstable; urgency=low

  * A recompile was needed to prevent seg faults with the latest and greatest.

 -- Erik Andersen <andersee@debian.org>  Wed, 14 Apr 1999 10:06:20 -0600

gnomehack (1.0.1-1) unstable; urgency=low

  * Initial release.

 -- Erik Andersen <andersee@debian.org>  Wed, 10 Mar 1999 20:58:06 -0700

Local variables:
mode: debian-changelog
End:
