=== debian/control ===
Source: gnomehack
Section: games
Priority: optional
Maintainer: Erik Andersen <andersee@debian.org>
Standards-Version: 3.0.1

Package: gnomehack
Architecture: any
Depends: ${shlibs:Depends}, bzip2
Description: A port of NetHack for GNOME
 Nethack is the greatest of all the Rogue-like games. GnomeHack is a
 port of NetHack for Gnome, using the very cool GTK+ toolkit.
